Skip to main content
POST
/
v2
/
organizations
/
{orgId}
/
teams
/
{teamId}
/
invite
Create team invite link
curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/invite
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/invite"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "token": "f6a5c8b1d2e34c7f90a1b2c3d4e5f6a5b7c8d9e0f1a2b3c4d5e6f7a8b9c0d1e2",
    "inviteLink": "http://app.cal.com/signup?token=f6a5c8b1d2e34c7f90a1b2c3d4e5f6a5b7c8d9e0f1a2b3c4d5e6f7a8b9c0d1e2&callbackUrl=/getting-started"
  }
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required
teamId
number
required

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required